
QGIS Application - Bug report #233

georeferencer not properly compiled on RHEL4

2006-08-11 08:11 AM - neteler-itc-it -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10292

Description

Hi,

on my Mandriva box I have the georeferencer, but not

on RHEL4 Linux. probably due to this problem:

Making all in georeferencer

maker1: Entering directory /hardmnt/bartok0/ssi/neteler/software/qgis_unstable/src/plugins/georeferencer'

maker1: Circular georeferencer.qrc <- georeferencer.qrc.cpp dependency dropped.

make  all-am

maker2: Entering directory /hardmnt/bartok0/ssi/neteler/software/qgis_unstable/src/plugins/georeferencer'

maker2: Circular georeferencer.qrc <- georeferencer.qrc.cpp dependency dropped.

maker2: Nothing to be done for all-am'.

maker2: Leaving directory /hardmnt/bartok0/ssi/neteler/software/qgis_unstable/src/plugins/georeferencer'

maker1: Leaving directory @/hardmnt/bartok0/ssi/neteler/software/qgis_unstable/src/plugins/georeferencer'

Making all in gps_importer

...

The plugin isn't installed then. I am using the current SVN version.

Markus

History

#1 - 2006-08-12 02:50 PM - anonymous -

That circular dependency warning occurs with other plugins too, for example, the scale bar. Are you sure that the georeferencer isn't installed, and if not, is

the scale bar also not installed? It is only a warning and shouldn't be stopping make from compiling and installing the plugin.

If there are georefplugin.la and georefplugin.so files in the qgis install directory (prefix_path/lib/qgis), then the problem is probably not with the make

process.

#2 - 2006-08-16 12:07 AM - neteler-itc-it -

Hi,

I found something:

cd /usr/local/qgis_devel/lib/qgis
ls l | grep ref

-rwxr-xr-x  1 neteler ssi  1807886 Aug 10 18:36 georefplugin.so

-rwxr-xr-x  1 neteler ssi     1872 Aug 10 18:36 georefplugin.la

-rw-r--r-  1 neteler ssi  4728256 Aug 10 18:36 georefplugin.a

It is compiled. But it is not visible in the

plugin manager because the plugin manager reads 

from /usr/local/lib64/qgis:

ls -l /usr/local/lib64/qgis | grep ref

but the scalebar is there:

ls l /usr/local/lib64/qgis | grep Scal

-rw-r--r-  1 neteler ssi  1937084 Aug 10 18:36 libScaleBarplugin.a

-rwxr-xr-x  1 neteler ssi     1667 Aug 10 18:36 libScaleBarplugin.la

-rwxr-xr-x  1 neteler ssi   918893 Aug 10 18:36 libScaleBarplugin.so

Essentially the georeferer isn't copied (or whatever)

into the right directory while the others are.

Note that I am using a 64bit platform.

Markus

#3 - 2006-08-16 01:06 AM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from Open to Closed

That pins the problem right down. It is fixed in SVN commit:c62dbcd4 (SVN r5700). A svn update in the georeferencer directory and then a make install in

the same directory should fix the problem for you.

#4 - 2006-08-16 01:07 AM - neteler-itc-it -

Now it works, thanks.

Markus
